from sqlalchemy import text
from app.database import AsyncSession
from app.exceptions import NotFound
from .schemas import Wallet

class GetWallet:
    def __init__(
        self, session: AsyncSession
    ) -> None:
        self.session = session

    async def execute(
        self, wallet_id: int
    ) -> Wallet:
        if wallet_id == 0:
            raise NotFound(
                resource="wallet", resource_id=0
            )

        async with self.session() as session:
            wallet_id_ = await session.scalar(
                text(f"SELECT {wallet_id}")
            )
        return Wallet(wallet_id=wallet_id)
