# WEB+DB PRESS Vol.136 特集1「Python最新Web開発」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.136」の特集1「Python最新Web開発」の第5章サンプルコードです。

実行方法は次の通りです。

```bash
$ python3.11 -m venv env --upgrade-deps

# 仮想環境に入り、依存パッケージをインストール
$ source env/bin/activate
(env) $ pip install 'SQLAlchemy[aiosqlite]==2.0.18'

# 接続先データベースの用意
$ sqlite3 database.db << EOF
CREATE TABLE wallets (
  wallet_id INTEGER PRIMARY KEY AUTOINCREMENT,
  name VARCHAR(64) NOT NULL
);
CREATE TABLE histories (
  history_id INTEGER PRIMARY KEY AUTOINCREMENT,
  name VARCHAR(64) NOT NULL,
  amount INTEGER NOT NULL,
  wallet_id INTEGER NOT NULL,
  FOREIGN KEY (wallet_id) REFERENCES wallets(wallet_id)
);
INSERT INTO wallets(name) VALUES
  ('Wallet 1'),
  ('Wallet 2')
;
INSERT INTO histories(name, amount, wallet_id) VALUES
  ('Tea', 140, 1),
  ('Juice', '200', 1)
;
EOF

# 対話モードでPythonを起動
(env) $ python3
>>>

# 仮想環境から抜ける
(env) $ deactivate
```
